Subject: [sipcore] RFC3265/3265bis and draft-ietf-sipcore-subnot-etags issue regarding notification suppression

From: Christer Holmberg <[email-masked]>
Date: Wed, 31 Mar 2010 10:19:13 +0200

Hi,

A question regarding the notification suppression function in draft-ietf-sipcore-subnot-etags:

The draft allows NOTIFY requests to be suppressed for re/de-SUBSCRIBEs.

Section 5.8 of the draft says that the suppression might be an issue for B2BUAs that expect a NOTIFY. But, doesn't this issue also apply to stateful proxies which keep track of subscription dialogs? Don't they also expect NOTIFY? Or, is a proxy which maintains subscription dialog state considered to be a B2BUA?

So, when NOTIFY is suppressed for de-subscribe then stateful proxies (or whatever they are called) which keep track of subscription dialogs and which do not support draft-ietf-sipcore-subnot-etags-04 will still believe the subscription dialog exists.

Now, 3265bis defines timer N, so if it applies also to proxies (open issue in the draft) I assume that proxies will simply ignore the re/de-subscription in case of no associated NOTIFY within a certain time, and eventually the subscription will expire and the proxy will release the state. However, I think that is bad protocol design.

RFC3265 does not define timer N, though, so the behavior for RFC compliant proxies is unclear.

Now, since the NOTIFY request is so essential (at least in 3265bis the SUB 200 OK becomes almost meaningless from a functional perspective) to the whole SUB/NOT framework, I wonder whether it is a very good idea to allow the NOTIFY request suppression. I DO like the idea of being able to suppress the NOTIFY message body, and maybe suppressing the NOTIFY request for re-subscriptions isn't that dangerous. But, suppressing the NOTIFY for de-subscriptions is bad, in my opinion.

Regards,

Christer